Bug 48942 - update-port: www/mod_php4
Summary: update-port: www/mod_php4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Norikatsu Shigemura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-05 07:20 UTC by Oliver Lehmann
Modified: 2003-07-11 15:37 UTC (History)
1 user (show)

See Also:


Attachments
mod_php4.patch (1.37 KB, patch)
2003-03-05 07:20 UTC, Oliver Lehmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Lehmann 2003-03-05 07:20:09 UTC
	Don't compile php with OpenSSL support if SNMP is installed w/o OpenSSL
	support.

	patch tested with:	net-snmp4 with Base OpenSSL 0.9.6i, 500043 i386
				net-snmp4 with Base OpenSSL 0.9.7a, 470103, alpha
				net-snmp4 without OpenSSL, 470103, alpha
Comment 1 Christian Weisgerber freebsd_committer 2003-03-05 15:21:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dirk

Over to maintainer.
Comment 2 Norikatsu Shigemura freebsd_committer 2003-06-25 08:47:46 UTC
State Changed
From-To: open->feedback

Is this problem still now? 


Comment 3 Norikatsu Shigemura freebsd_committer 2003-06-25 08:47:46 UTC
Responsible Changed
From-To: dirk->nork

I'll handle this.
Comment 4 Oliver Lehmann freebsd_committer 2003-06-25 16:19:41 UTC
Norikatsu Shigemura wrote:


> Is this problem still now?

You can still compile SNMP w/o SSL Support. It's not a real problem.
Activating the SNMP-Support for php just forces the SSL-Activation in php
too. Even if your SNMP was compiled w/o SSL support. It's not a big
problem. It's just a feature trying to prevent depending on SSL if that
isn't wanted ;)

  Greetings, Oliver

-- 
 Oliver Lehmann
        @home: lehmann@ans-netz.de
      @office: oliver.lehmann@mgi.de
         @www: http://www.pofo.de/  |  http://wishlist.ans-netz.de/
Comment 5 Norikatsu Shigemura freebsd_committer 2003-07-04 03:35:02 UTC
On Wed, 25 Jun 2003 17:19:41 +0200
Oliver Lehmann <oliver@freebsd.org> wrote:
> Norikatsu Shigemura wrote:
> > Is this problem still now?
> You can still compile SNMP w/o SSL Support. It's not a real problem.
> Activating the SNMP-Support for php just forces the SSL-Activation in php
> too. Even if your SNMP was compiled w/o SSL support. It's not a big
> problem. It's just a feature trying to prevent depending on SSL if that
> isn't wanted ;)
>   Greetings, Oliver

	Oliver, thank you!

	Alex, Please check following PR.
	http://www.freebsd.org/cgi/query-pr.cgi?pr=48942

> -- 
>  Oliver Lehmann
>         @home: lehmann@ans-netz.de
>       @office: oliver.lehmann@mgi.de
>          @www: http://www.pofo.de/  |  http://wishlist.ans-netz.de/
Comment 6 Alex Dupre 2003-07-04 07:12:09 UTC
Now PHP supports snmp5, too. It's compiled with SSL by default and
cannot be turned off. If you still want snmp4 without ssl, can you
update your patch?

-- 
Alex Dupre                             sysadmin@alexdupre.com
http://www.alexdupre.com/              alex@sm.FreeBSD.org

Today's excuse: pseudo-user on a pseudo-terminal
Comment 7 Oliver Lehmann freebsd_committer 2003-07-11 14:27:03 UTC
Alex Dupre wrote:

> Now PHP supports snmp5, too. It's compiled with SSL by default and
> cannot be turned off. If you still want snmp4 without ssl, can you
> update your patch?

I don't want... Iirc i submitted that patch where there where some
problems with snmp4 and ssl (the time where base-openssl got replaced) If
you agree, this PR can be closed.

  Greetings


-- 
 Oliver Lehmann
        @home: lehmann@ans-netz.de
      @office: oliver.lehmann@mgi.de
         @www: http://www.pofo.de/  |  http://wishlist.ans-netz.de/
Comment 8 Norikatsu Shigemura freebsd_committer 2003-07-11 15:37:08 UTC
State Changed
From-To: feedback->closed

Requested by submitter & maintainer.